<!-- interpolation and it presents one way data binding -->
<div [routerLink] = "['/events', event.id]" class="well hoverwell thumbnail">
  <h2>{{ event?.name }}</h2>
  <div>Date: {{ event?.date }}</div>
  <div [ngSwitch]="event?.time">
    Time: {{ event?.time }}
    <span *ngSwitchCase="'8:00 am'">(Early Start)</span>
    <span *ngSwitchCase="'10:00 am'">(Late Start)</span>
    <span *ngSwitchDefault>(Normal Start)</span>
  </div>
  <div>Price: ${{ event?.price }}</div>
  <div *ngIf="event?.location">
    <span>Location: {{ event?.location?.address }}</span>
    <span>&nbsp;</span>
    <span class="pad-left"
      >{{ event?.location?.city }}, {{ event?.location?.country }}</span
    >
  </div>
  <div *ngIf="event?.onlineUrl">Online URL: {{ event?.onlineUrl }}</div>
</div>

<!-- There are two ways to hide and display elements in your dom
1 => using *ngif to bind the display of the dom element to the
existence of a property or an event
but if the element shows and disappears depending on a UI event, it would rerender the component everytime this happens.

2=> using property binding and bind the [hidden] dom attribute and this is beter
performance wise in case you will need to rerender this part of
the app again because then angular won't have to rerender it everytime-->
